Deals
DE EUR

Shop in

Store prices are shown for one country at a time, in its own currency.

Compare specs

Ad · Prices from partner stores, sorted cheapest first. We may earn a commission when you buy through our links; it never changes the order.Ad · Store prices, cheapest first. We may earn a commission.

D-Link DSS-200G-10MPP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black, Grey

D-Link · Network Switch

D-Link DSS-200G-10MPP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black, Grey price in Germany

Model DSS-200G-10MPPMPN DSS-200G-10MPPEAN 790069468070

  • Memory128 MB
  • Noise50.6 dB
  • Type1U
  • Weight2.05 kg

Lowest price incl. delivery

291,56 €

at 0815Free deliveryIn stock

  • 2 stores
  • Range 291,56 € – 333,22 €
  • Save up to 41,66 € vs. the dearest store
  • 2 in stock
  • 1 with free delivery
  • Checked 23 Oct 2026, 17:42 UTC

Ad · prices and stock as last reported by the store; the store's checkout is what counts.

Full specifications and side-by-side comparison

Prices in Germany

2 stores · prices in EUR · updated 23 Oct 2026, 17:42 UTC

Lowest price291,56 €at 0815 · free shippingGo to 0815 (opens in a new tab)
Price range across 2 offers

Save up to 41,66 € (13%) by choosing the cheapest store

  • 2 of 2 stores in stock
  • 1 with free shipping
  • Checked 23 Oct 2026, 17:42 UTC

  1. 0815Lowest priceD-Link DSS 200G-10MPP - Switch - managed - 8 x 10/100/1000 (PoE) In stockFree shipping
    291,56 €incl. free shipping
    Go to store : 0815 (opens in a new tab)
  2. Netzwerkartikel.deD-LINK DSS-200G-10MPP/E In stockShipping not stated
    333,22 €item price, shipping extra+41,66 € (14%) vs lowest
    Go to store : Netzwerkartikel.de (opens in a new tab)

Ad: we may earn a commission when you buy through these links; it never changes the order, which is by total price only. Prices and stock are shown as each store states them, as of 23 Oct 2026, 17:42 UTC, and can change at any time. Taxes are included only where the store includes them.

Price history in Germany

Price history is being collected. After 14 days of prices we will show whether today's price is good.

Best price · 0815291,56 €
Go to store

Product details

Identification

Brand
D-Link
Product
DSS-200G-10MPP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black, Grey
Full name
D-Link DSS-200G-10MPP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black, Grey
Manufacturer part number
DSS-200G-10MPP
EAN / UPC
790069468070

72 specifications from the manufacturer's data sheet

Management features

Switch typeManaged
Switch layerL2
Quality of Service (QoS) supportYes
Web-based managementYes
Traffic classificationYes
MIB support• RFC768 UDP • RFC791 IP • RFC792 ICMP • RFC793 TCP • RFC826 ARP • RFC1213 MIB II • RFC1493 Bridage MIB • RFC1907 SNMPv2 MIB • RFC1215 MIB Traps Convention • RFC2233 Interface Group MIB • RFC2665 Ether-like MIB • RFC4363 IEEE 802.1p MIB • ZoneDefense MIB • Private MIB • RFC951 BootP client • RFC1542

Ports & interfaces

Basic switching RJ-45 Ethernet ports quantity10
Basic switching RJ-45 Ethernet ports typeGigabit Ethernet (10/100/1000)
Installed SFP modules quantity2

Network

Networking standardsIEEE 802.3, IEEE 802.3ab, IEEE 802.3ad, IEEE 802.3af, IEEE 802.3at, IEEE 802.3az, IEEE 802.3bt, IEEE 802.3u, IEEE 802.3x
Port mirroringYes
Full duplexYes
Half duplexYes
Auto MDI/MDI-XYes
Auto-negotiationYes
Broadcast storm controlYes
Ethernet LAN data rates1000 Mbit/s
Flow control supportYes
Head-of-line (HOL) blockingYes
Link aggregationYes
Rate limitingYes
Spanning tree protocolYes
VLAN supportYes
Virtual LAN featuresVoice VLAN
Number of VLANs4094

Data transmission

MAC address table8000 entries
Switching capacity20 Gbit/s
Forwarding rate14.88 Mpps
Number of queues4
Jumbo frames supportYes
Jumbo frames10240
Packet buffer memory4.1 MB

Security

IGMP snoopingYes
Password protectionYes
Queue scheduling algorithmsStrict Priority Queue (SPQ), Weighted Round Robin (WRR)
SSH/SSL supportYes

Multicast features

Multicast supportYes
Multicast featuresControllable multicast

Design

Rack mountingYes
Form factor1U
Product colourBlack, Grey
Reset buttonYes
LED indicatorsActivity, Alarm, Link, Power, Speed
Number of fans1 fan(s)

Performance

Memory typeDDR3-SDRAM
Internal memory128 MB
Flash memory32 MB
Noise level50.6 dB
FanlessNo
Mean time between failures (MTBF)508112 h

Power

Power sourceAC
Power supply includedYes
AC input voltage100 - 240 V
AC input frequency50/60 Hz
Input current3 A
Input voltage100 - 240 V
Power consumption (typical)267.5 W

Power over Ethernet (PoE)

Power over Ethernet (PoE)Yes
Power over Ethernet (PoE) ports quantity8
Power over Ethernet (PoE) power per port90 W
Total Power over Ethernet (PoE) budget242 W

Operational conditions

Operating temperature (T-T)-5 - 50 °C
Storage temperature (T-T)-40 - 70 °C
Operating relative humidity (H-H)0 - 95%
Storage relative humidity (H-H)0 - 95%
Heat dissipation87 BTU/h

Weight & dimensions

Width280 mm
Depth230 mm
Height44 mm
Weight2.05 kg

Sustainability

Sustainability certificatesUL ECOLOGO

Certificates

Compliance certificatesBSMI, CB, CE, Federal Communications Commission (FCC), Low Voltage Directive (LVD), cUL

What people say

Reviews & ratings

D-Link DSS-200G-10MPP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black, Grey

No reviews yet

Be the first to tell others how D-Link DSS-200G-10MPP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black, Grey works for you.

Write the first review
  • Every rating countsLow ratings are never hidden, removed or pushed down.
  • Written by people, never paidNo incentives, no edits — only spam and abuse are removed.
  • Private by designOnly the name you choose is shown. No account, no e-mail, nothing tracked.

Your review

Share your experience

How does D-Link DSS-200G-10MPP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black, Grey work for you? A few honest sentences help others choose — it takes a minute.

Your rating

No account or e-mail. Only your review and the name you choose are kept.

Reviews are written by visitors; we do not check purchases. We remove spam, advertising and abuse — never a review for its rating.

More network switches deals in Germany

All network switches deals